Package: io.vertx.groovy.ext.shell

## [Groovy] Class ShellService

- io.vertx.groovy.ext.shell.ShellService

- The shell service, provides a remotely accessible shell available via Telnet or SSH according to the ShellServiceOptions configuration.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ShellService (Object delegate)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `static ShellService` | `create(Vertx vertx, Map<String, Object> options)`
    `CommandRegistry` | `getCommandRegistry()` @return Returns: the command registry for this service
    `Object` | `getDelegate()`
    `void` | `start()` Start the shell service, this is an asynchronous start.
    `void` | `start(Handler<AsyncResult<Void>> startHandler)` Start the shell service, this is an asynchronous start.
    `void` | `stop()` Stop the shell service, this is an asynchronous stop.
    `void` | `stop(Handler<AsyncResult<Void>> stopHandler)` Stop the shell service, this is an asynchronous start.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### ShellService(Object delegate)

  - ### Method Detail

    - #### static ShellService create(Vertx vertx, Map<String, Object> options)

    - #### CommandRegistry getCommandRegistry()

      Returns:
        the command registry for this service

    - #### Object getDelegate()

    - #### void start()

      Start the shell service, this is an asynchronous start.

    - #### void start(Handler<AsyncResult<Void>> startHandler)

      Start the shell service, this is an asynchronous start.

      Parameters:
        `startHandler` - handler for getting notified when service is started

    - #### void stop()

      Stop the shell service, this is an asynchronous stop.

    - #### void stop(Handler<AsyncResult<Void>> stopHandler)

      Stop the shell service, this is an asynchronous start.

      Parameters:
        `stopHandler` - handler for getting notified when service is stopped